Get Duel Assigned Details
curl --request GET \
--url https://api.16tms.com/api/v1/tournaments/{tournamentId}/duel/assigned-details \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.16tms.com/api/v1/tournaments/{tournamentId}/duel/assigned-details"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.16tms.com/api/v1/tournaments/{tournamentId}/duel/assigned-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Assigned duel matches fetched successfully",
"data": {
"rounds": [
{
"roundId": "a3601040-bedd-4b13-a745-a098e5fe2548",
"roundName": "Round 1",
"roundNumber": 1,
"matches": [
{
"matchId": "d09d41f8-604e-43ad-a0c5-0e86911cbb58",
"tournamentId": "7e8aeca4-f658-4665-9abc-cec9b369a902",
"tournamentName": "The invitational",
"roundId": "a3601040-bedd-4b13-a745-a098e5fe2548",
"roundName": "Round 1",
"matchNumber": 4,
"matchStatus": 2,
"matchResult": 2,
"scheduledAt": null,
"bestOf": 1,
"games": [
{
"matchGameId": "3a30c08a-85c3-4926-8382-9fb62c42ee8b",
"matchId": "d09d41f8-604e-43ad-a0c5-0e86911cbb58",
"gameSerial": 1,
"mapId": null,
"mapName": null,
"participant1Score": 0,
"participant2Score": 0,
"winnerId": null,
"gameResult": 1,
"extraData": null,
"scheduledAt": null
}
],
"duelDetail": {
"participant1Id": "360b0a90-8fd0-4624-b825-254554b447e8",
"participant1Name": "Dark Knightts",
"participant1Logo": "https://api.dicebear.com/7.x/identicon/svg?seed=Knights",
"participant1ExternalId": null,
"participant1Type": 1,
"participant2Id": "2f032169-b356-4ae0-b2e9-b4f2adead252",
"participant2Name": "Phoenix Risings",
"participant2Logo": "https://api.dicebear.com/7.x/identicon/svg?seed=Phoenix",
"participant2ExternalId": null,
"participant2Type": 1,
"participant1Score": 0,
"participant2Score": 0,
"winnerTeamId": null,
"mapId": null,
"mapName": null,
"duration": null
}
}
]
}
]
},
"meta": {
"traceId": "00-d287aea4103e6faab76bd295b66286f9-7d815704fec566ae-00",
"elapsedMs": 25.94,
"serverTimestamp": "2026-02-17T12:20:48.8721693Z"
}
}API Reference
Get Duel Assigned Details
Fetch assigned details for Duel tournaments, including assigned matches for rounds.
GET
/
tournaments
/
{tournamentId}
/
duel
/
assigned-details
Get Duel Assigned Details
Authorizations
API key for authentication.
Path Parameters
The unique identifier of the tournament
Query Parameters
External ID of the user.
⌘I